Bug 144584 - cpuspeed not loading powernow-k8
cpuspeed not loading powernow-k8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 16:18 EST by Gene Czarcinski
Modified: 2015-01-04 17:15 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 17:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
powernow-k7 commented out. works in regular kernel not smp (463 bytes, text/plain)
2005-07-07 22:09 EDT, Jim Cornette
no flags Details
uncommenting the items then rebooting into the smp (460 bytes, text/plain)
2005-07-07 22:29 EDT, Jim Cornette
no flags Details

  None (edit)
Description Gene Czarcinski 2005-01-08 16:18:21 EST
Description of problem:

I have a Compaq R3000z which has an Athlon64 processor (supporting
AMD's Cool and Quiet).

While cpuspeed works fine when I bootup the x86_64 system, it does not
work by default on when I boot the i386 (i686) system.  The reason is
that the powernow-k8 kernel code is compiled into the kernel for
x86_64 while it is a module for the i686 kernel.

With this situation, cpuspeed will not load powernow-k8 until
/etc/cpuspeed.conf is changed to specify the powernow-k8 DRIVER.

It is not obvious that this needs to be done.

Version-Release number of selected component (if applicable):
kernel 2.6.9-1.724_FC3 on both i386 and x86_64

How reproducible:
everytime
Comment 1 Jim Cornette 2005-07-07 22:00:44 EDT
Booting the smp kernel vs. the single processor kernel, powernow does not work
for me. The module works great on an HP ze4315us.
Comment 2 Jim Cornette 2005-07-07 22:09:28 EDT
Created attachment 116499 [details]
powernow-k7 commented out. works in regular kernel not smp

Since the kernel may eventually be only available only in smp versions, I
decided to see if I can get this to work with the smp kernel. 
I first tried booting the smp for the sole purpose that the uni kernel would
not boot. Later information reveals that it might be desirable to supply only
the smp version.
Thanks for the lead w/ information in this bug ticket.

It was neither cool nor quiet without the module in the smp kernel.
Comment 3 Jim Cornette 2005-07-07 22:29:24 EDT
Created attachment 116501 [details]
uncommenting the items then rebooting into the smp 

Uncommenting the items related to powernow-k7 does not work using the smp
kernel.
I did not modprobe for the module while in the smp kernel.
Comment 4 Dave Jones 2006-02-06 17:55:51 EST
With the release of Fedora Core 5 test2, FC3 has now reached end-of-life.
The fedora-legacy team provide security updates for older releases, but not
general bug fixes due to limited resources.

If you can reproduce this bug with Fedora Core 4, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.